POST
/
v1
/
task
/
create
curl --request POST \
  --url https://vip.xmsmartlink.com/v1/task/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "doubao-seedance-2.0",
  "content": [
    {
      "type": "text",
      "text": "全程使用视频1的第一视角构图,全程使用音频1作为背景音乐。"
    },
    {
      "type": "image_url",
      "image_url": {
        "url": "https://example.com/image1.jpg"
      },
      "role": "reference_image"
    },
    {
      "type": "video_url",
      "video_url": {
        "url": "https://example.com/video1.mp4"
      },
      "role": "reference_video"
    },
    {
      "type": "audio_url",
      "audio_url": {
        "url": "https://example.com/audio1.mp3"
      },
      "role": "reference_audio"
    }
  ],
  "generate_audio": true,
  "ratio": "16:9",
  "duration": 11,
  "watermark": false
}
'
{
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

使用 Authorization: Bearer <YOUR_API_KEY> 进行认证。

Body

application/json
model
string
required

模型名称,当前文档示例为 doubao-seedance-2.0。

content
object[]
required

多模态内容数组,可包含文本、参考图片、参考视频、参考音频、首帧和尾帧。

generate_audio
boolean

是否生成音频。

ratio
string

视频比例,例如 16:9、9:16。

duration
number

视频时长,单位秒。

watermark
boolean

是否添加水印。

callback_url
string

任务状态变化回调地址。

resolution
string

输出分辨率,例如 720p。

seed
integer

随机种子。

Response

任务创建响应。

Seedance-2 创建任务响应。

id
string

视频生成任务 ID。